package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Khuvuc generated by hbm2java
 */
@Entity
@Table(name="khuvuc"
    ,catalog="travel_tour"
    , uniqueConstraints = @UniqueConstraint(columnNames="tenkhuvuc") 
)
public class Khuvuc  implements java.io.Serializable {


     private Integer id;
     private String tenkhuvuc;
     private Set<Tour> tours = new HashSet<Tour>(0);

    public Khuvuc() {
    }

	
    public Khuvuc(String tenkhuvuc) {
        this.tenkhuvuc = tenkhuvuc;
    }
    public Khuvuc(String tenkhuvuc, Set<Tour> tours) {
       this.tenkhuvuc = tenkhuvuc;
       this.tours = tours;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

    
    @Column(name="tenkhuvuc", unique=true, nullable=false, length=300)
    public String getTenkhuvuc() {
        return this.tenkhuvuc;
    }
    
    public void setTenkhuvuc(String tenkhuvuc) {
        this.tenkhuvuc = tenkhuvuc;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="khuvuc",cascade=CascadeType.ALL)
    public Set<Tour> getTours() {
        return this.tours;
    }
    
    public void setTours(Set<Tour> tours) {
        this.tours = tours;
    }




}


